Subject: bug#2308: 23.0.90; Don't delete /tmp/emacs$ID/server on kill-emacs

From: Damien Cassou <[email-masked]>
Date: Thu, 12 Feb 2009 12:16:02 +0100

Hi,

when I kill emacs daemon with M-x kill-emacs, it does not delete the
generated file /tmp/emacs$USERID/server, preventing a new emacs daemon
from running correctly.

In GNU Emacs 23.0.90.1 (i486-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-02-10 on iridium, modified by Debian
 (emacs-snapshot package, version 1:20090207-1~intrepid1)
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
configured using `configure  '--build' 'i486-linux-gnu' '--host'
'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
'--libexecdir=/usr/lib' '--localstatedir=/var'
'--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
'--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.90/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.90/site-lisp:/usr/share/emacs/site-lisp'
'--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu'
'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN
-DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed'
'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: fr_FR.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Shell-script

Minor modes in effect:
  shell-dirtrack-mode: t
  show-paren-mode: t
  icomplete-mode: t
  global-hl-line-mode: t
  display-time-mode: t
  diff-auto-refine-mode: t
  recentf-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-c C-x C-c C-x C-c C-p C-p C-p C-p C-k C-k C-n
C-k C-k C-k C-x C-s <down-mouse-2> <mouse-2> C-p C-o
U S E R I D = $ ( ) C-b i d SPC - u C-x C-s C-a C-o
C-n C-n M-x r e p o r t b <backspace> e m <return>
C-g M-x M-p C-s <return> D o n ' t SPC d e l e t e
SPC / t m p / e m a c s $ I D / s e r v e r SPC o n
SPC M-x <switch-frame> M-x k i l l - e m C-g <switch-frame>
C-x o <escape> <escape> <escape> C-_ C-_ C-_ s C-_
C-_ C-x C-s C-a C-o C-x C-s M-x r e p o r t - e m C-s
<return> M-p M-p M-p C-k D o n ' t SPC d e l e t e
SPC / t m p / e m a c s $ U S E R I D / s e r v e r
SPC o n SPC k <switch-frame> M-x d <backspace> <switch-frame>
M-x k i l l - e m C-g <switch-frame> M-x r e p o r
t C-s <return>

Recent messages:
Back to top level.
When done with this frame, type C-x 5 0
Quit
Undo! [4 times]
Redo!
(No changes need to be saved)
Saving file /home/cassou/Documents/configuration/scripts/emacs-server-then-client.sh...
Wrote /home/cassou/Documents/configuration/scripts/emacs-server-then-client.sh
goto-history-element: Beginning of history; no preceding item
byte-code: Command attempted to use minibuffer while in minibuffer
Quit

-- 
Damien Cassou
http://damiencassou.seasidehosting.st